<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActActuatorAxis.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SmarActActuatorAxis.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SmarActActuatorAxis_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * File:   SmarActActuatorAxis.hpp</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Author: cfmadmin</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * Created on February 4, 2013, 9:41 PM</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef SMARACTACTUATORAXIS_HPP</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define SMARACTACTUATORAXIS_HPP</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="ActuatorAxis_8hpp.html">ActuatorAxis.hpp</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//#include &quot;ActuatorSystem.hpp&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SmarActActuatorSystem_8hpp.html">SmarActActuatorSystem.hpp</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SmarActResult_8hpp.html">SmarActResult.hpp</a>&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SmarActCommands_8hpp.html">SmarActCommands.hpp</a>&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Timer_8hpp.html">Timer.hpp</a>&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span><a class="code" href="classActuatorSystem.html">ActuatorSystem</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//class ActuatorAxis;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html">   21</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a> : <span class="keyword">public</span> <a class="code" href="classActuatorAxis.html">ActuatorAxis</a>{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="classSmarActActuatorAxis.html#aa28ad0cfdea546bfe989c73f8315ddba">SmarActActuatorAxis</a>(<a class="code" href="classActuatorSystem.html">ActuatorSystem</a>* actuatorSystem, <a class="code" href="classStateManager.html">StateManager</a>&amp; stateManager, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> channelType, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> sensorType, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> localID);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="comment">//SmarActActuatorAxis(const SmarActActuatorAxis&amp; orig);</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classSmarActActuatorAxis.html#a9576e55e7c43e28f1aaa1269d50b72c0">~SmarActActuatorAxis</a>();    </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#a84bd56d2f617050a126ea78743302591">   26</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a84bd56d2f617050a126ea78743302591">isSensorMissing</a>()</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">_isSensorMissing</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df">GotoAsync</a>(<span class="keywordtype">double</span> positionMicrons);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e">GotoSync</a>(<span class="keywordtype">double</span> positionMicrons);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da">GetPositionSync</a>(<span class="keywordtype">double</span>&amp; positionMicrons);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9">SetOption</a>(<a class="code" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a> option, <span class="keywordtype">double</span> value);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f">GetStatusSync</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; status);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065">StopSync</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSmarActActuatorAxis.html#a4ad17f758e0827fb831e8e9196f1b57e">SetHoldMs</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">holdMs</a>);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSmarActActuatorAxis.html#ac0db3ef6bc441ded27f4afbce6bcb033">SetMarginMicrons</a>(<span class="keywordtype">double</span> marginMicrons); </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach">SetClosedLoopMaxFrequency</a>(<span class="keywordtype">double</span> frequencyHz);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767">SetClosedLoopMoveSpeed</a>(<span class="keywordtype">double</span> speedMicronsPerSecond);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc">RegisterFields</a>();</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266">UpdateState</a>();</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#abee08c3ea17bdd4e7ee139dfe7801495">   43</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorAxis.html#abee08c3ea17bdd4e7ee139dfe7801495">_sensorType</a>;</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#a8985499bfb226e8eb408d42795a725d8">   44</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorAxis.html#a8985499bfb226e8eb408d42795a725d8">_channelType</a>;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">   45</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">_isSensorMissing</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">   46</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">holdMs</a>;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#aefaf412450d190aa93f35011622f46b2">   47</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="classSmarActActuatorAxis.html#aefaf412450d190aa93f35011622f46b2">_marginMicrons</a>;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#ad9c507953fe8dbe152b1181752a668b4">   48</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="classSmarActActuatorAxis.html#ad9c507953fe8dbe152b1181752a668b4">_timeoutMs</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="code" href="classSmarActActuatorAxis.html#accb0d3f73ca74eae8671d0357befc1a3">   49</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSmarActActuatorAxis.html#accb0d3f73ca74eae8671d0357befc1a3">_fieldIDPositionMicrons</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;};</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#endif  </span><span class="comment">/* SMARACTACTUATORAXIS_HPP */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
